## qt6-webengine 6.8.3%2Bdfsg

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Soren Stoutner <soren@debian.org>,
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               flex,
               gperf,
               libasound2-dev,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
#               libicu-dev, # re-enable once ICU 73.1 is available in sid
               libjpeg-dev,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               nodejs,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.8.3+dfsg~),
               qt6-base-private-dev (>= 6.8.3+dfsg~),
               qt6-declarative-dev (>= 6.8.3+dfsg~),
               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
               qt6-documentation-tools (>= 6.8~) <!nodoc>,
               qt6-httpserver-dev (>= 6.8.3~),
               qt6-positioning-dev (>= 6.8.3~),
               qt6-tools-dev (>= 6.8.3~),
               qt6-webchannel-dev (>= 6.8.3~),
               qt6-websockets-dev (>= 6.8.3~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Provides: qt6-webengine-private-abi (= 6.8.3),
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6webenginequickdelegatesqml6,
Replaces: libqt6webenginequickdelegatesqml6,
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qml6-module-qtquick-pdf (= ${binary:Version}),
         qml6-module-qtwebengine (= ${binary:Version}),
         qml6-module-qtwebengine-controlsdelegates (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine-dev-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-pdf-dev (= ${binary:Version}),
Breaks: qt6-webengine-private-dev (<< 6.7.2+dfsg-6),
Replaces: qt6-webengine-private-dev (<< 6.7.2+dfsg-6),
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .

## qt6-webengine 6.8.3+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Require the Qt (not WebEngine) minimum supported CMake version.
# Another WebEngine-specific version check will be done in configure.cmake
# and reported in the configure summary.
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
include(ExternalProject)
include(cmake/Functions.cmake)

project(QtWebEngineDummy)
find_package(Qt6 6.5 CONFIG REQUIRED COMPONENTS BuildInternals Core)

# Sepcial case of just doing gn build
if(DEFINED BUILD_ONLY_GN)
    qt_webengine_build_and_install_gn()
    return()
endif()

project(QtWebEngine
    VERSION ${Qt6Core_VERSION}
    DESCRIPTION "QtWebEngine and QtPdf modules"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)
qt_internal_project_setup()

find_package(Qt6 ${PROJECT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS
    Gui Widgets Network OpenGL Quick Qml PrintSupport
    WebChannel WebChannelQuick Positioning QuickControls2
    Test QuickWidgets QuickTest WebSockets Designer
    JpegPrivate PngPrivate HarfbuzzPrivate FreetypePrivate ZlibPrivate
    HttpServer
)

if(MATRIX_BUILD AND NOT MATRIX_SUBBUILD AND NOT QT_SUPERBUILD)
    add_build(webengine_webrtc OFF)
    add_build(webengine_proprietary_codecs ON)
    add_build(webengine_printing_and_pdf OFF)
    add_build(webengine_extensions OFF)
    add_build(webengine_spellchecker OFF)
    add_build(qtwebengine_build OFF)
    return()
endif()

# Don't auto create the SBOM projects, they will be manually created
# for each sub-project.
set(QT_SKIP_SBOM_AUTO_PROJECT TRUE)
qt_build_repo()

=== examples/webenginewidgets/clientcertificate/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(clientcertificate LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/clientcertificate")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebEngineWidgets)

qt_add_executable(server
    server.cpp
)

qt_add_executable(client
    client.cpp
)

set_target_properties(client PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

qt_add_resources(client "client"
    PREFIX
        "/"
    FILES
       "resources/client.pem"
       "resources/client.key"
)

qt_add_resources(server "server"
    PREFIX
        "/"
    FILES
       "resources/server.pem"
       "resources/server.key"
       "resources/ca.pem"
)

target_link_libraries(client PUBLIC
    Qt::WebEngineWidgets
)

target_link_libraries(server PUBLIC
    Qt::Core
    Qt::Network
)

install(TARGETS server client
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-webengine (6.8.3+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:28:19 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
endif

# Reduce memory consumption & parallelism on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif

ifeq (i386, $(DEB_HOST_ARCH))
	export LDFLAGS+=-Wl,--no-keep-memory
	export NINJAJOBS = -j2
endif


%:
	dh $@ --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js

override_dh_auto_clean:
	dh_auto_clean

	# Remove the system version of rollup, which is copied in during build to replace the bundled version that is remove by the copyright file.
	rm -rf src/3rdparty/chromium/third_party/node/node_modules/rollup/

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

# Turn on system FFmpeg libraries for 6.3
override_dh_auto_configure:
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# Use the system rollup.
	cp -a /usr/share/nodejs/rollup src/3rdparty/chromium/third_party/node/node_modules/rollup/

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_icu=OFF \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libopenjpeg2=ON \
		-DFEATURE_webengine_system_libpng=ON \
		-DFEATURE_webengine_system_libtiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:

## qt6-webengine 6.9.1

=== debian/changelog ===
qt6-webengine (6.9.1-0zneon+24.04+noble+stable+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 10 Jul 2025 09:51:30 +0000

qt6-webengine (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:54:56 +1000

qt6-webengine (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 07:20:20 +1000

qt6-webengine (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:30:32 +1000

qt6-webengine (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:53:59 +1000

qt6-webengine (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:45:45 +1000

qt6-webengine (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:41:25 +1000

qt6-webengine (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:05:12 +1000

qt6-webengine (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 15:49:51 +1000

qt6-webengine (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 01:52:38 +0100

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               generate-ninja,
               gperf,
               libasound2-dev,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libepoxy-dev,
               libevent-dev,
               libfontconfig1-dev,
               libfreetype-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjs-d3,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopenjp2-7-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpipewire-0.3-dev,
               libpng-dev,
               libpoppler-cpp-dev,
               libprotobuf-dev,
               libpulse-dev,
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libusb-1.0-0-dev,
               libva-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               mold,
               ninja-build,
               node-pako,
               node-rollup-plugin-terser,
               node-yargs,
               nodejs,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler,
               python3,
               python3-html5lib,
               qt6-base-dev (>= 6.9.1~),
               qt6-base-doc (>= 6.9.1~) <!nodoc>,
               qt6-declarative-dev (>= 6.9.1~),
               qt6-documentation-tools (>= 6.9.1~) <!nodoc>,
               qt6-httpserver-dev,
               qt6-imageformats-dev (>= 6.9.1~),
               qt6-positioning-dev (>= 6.9.1~),
               qt6-tools-dev (>= 6.9.1~),
               qt6-webchannel-dev (>= 6.9.1~),
               qt6-websockets-dev (>= 6.9.1~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-webengine.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-webengine
Maintainer: Neon CI <neon@kde.org>

Package: qt6-webengine
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative,
         qt6-svg,
         sse3-support [amd64 i386],
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6webenginequickdelegatesqml6
Provides: qt6-webengine-abi (= 6.9.1)
Replaces: convert-bdic,
          libqt6pdf6,
          libqt6pdfquick6,
          libqt6pdfwidgets6,
          libqt6webengine6,
          libqt6webengine6-data,
          libqt6webenginecore6,
          libqt6webenginecore6-bin,
          libqt6webenginequick6,
          libqt6webenginequickdelegatesqml6,
          libqt6webenginewidgets6,
          qml6-module-qtwebengine,
          qml6-module-qtwebengine-controlsdelegates,
          qt6-image-formats-plugin-pdf
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: qt6-webengine-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         qt6-webchannel-dev,
         qt6-webengine (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-pdf-dev,
          qt6-webengine-dev-tools,
          qt6-webengine-doc-dev,
          qt6-webengine-examples,
          qt6-webengine-private-dev
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-webengine-dev, ${misc:Depends}
Replaces: qt6-webengine-doc-html
Description: Qt 6 WebEngine library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the documentation to help build Qt 6 applications
 using Qt WebEngine libraries.

Package: libqt6pdf6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6pdfquick6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6pdfwidgets6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginecore6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginecore6-bin
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginequick6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webenginewidgets6
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webengine6-data
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-image-formats-plugin-pdf
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-pdf
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebengine
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: all
Depends: qt6-webengine, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-pdf-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-private-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-dev-tools
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-doc-dev
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-doc-html
Architecture: all
Depends: qt6-webengine-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webengine-examples
Architecture: all
Depends: qt6-webengine-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
#set it in the jenkins amd64 config to be a 48core_amd64 builder
#export DEB_BUILD_OPTIONS = parallel=48
export DH_VERBOSE = 1

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
	# Limit parallelism for armhf
	ifeq (armhf, $(DEB_HOST_ARCH))
		ifeq ($(shell test $(NUMJOBS) -gt 6; echo $$?),0)
			export NINJAFLAGS = -j6
			export NINJAJOBS = -j6
		endif
	endif
endif

# Reduce memory consumption on certain architectures
ifeq (armhf, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif

ifeq (i386, $(DEB_HOST_ARCH))
export LDFLAGS+=-Wl,--no-keep-memory
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js


override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

override_dh_auto_configure:
	# all files need to exist before configure is run for unity build
	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
	cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DFEATURE_pdf_v8=ON \
		-DFEATURE_pdf_xfa=ON \
		-DFEATURE_pdf_xfa_bmp=ON \
		-DFEATURE_pdf_xfa_gif=ON \
		-DFEATURE_pdf_xfa_png=ON \
		-DFEATURE_pdf_xfa_tiff=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_v8=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtwebengine_quick_build=ON \
		-DFEATURE_qtwebengine_widgets_build=ON \
		-DFEATURE_webengine_kerberos=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_system_icu=OFF \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_webengine_system_libjpeg=on \
		-DFEATURE_webengine_system_libpng=on \
		-DFEATURE_webengine_system_zlib=ON \
		-DFEATURE_webengine_webrtc=ON \
		-DFEATURE_webengine_webrtc_pipewire=ON \
		-DQT_UNITY_BUILD=ON


override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
	# Install documentation.
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_dwz:
